| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Modules | Functions
NFC Type 2 Tag parser
NFC Type 2 Tag

Parser for Type 2 Tag data. More...

## Modules
| Type 2 Tag
| Descriptor for a Type 2 Tag.
| Type 2 Tag TLV blocks
| Descriptor for a Type 2 Tag TLV block.
| Parser for decoding Type 2 Tag data. configuration

## Functions
void | type_2_tag_clear (type_2_tag_t *p_type_2_tag)
| Function for clearing the type_2_tag_t structure. More...
ret_code_t | type_2_tag_parse (type_2_tag_t *p_type_2_tag, uint8_t *p_raw_data)
| Function for parsing raw data read from a Type 2 Tag. More...
void | type_2_tag_printout (type_2_tag_t *p_type_2_tag)
| Function for printing parsed contents of the Type 2 Tag. More...

## Detailed Description

Parser for Type 2 Tag data.

## Function Documentation

void type_2_tag_clear | ( | type_2_tag_t * | p_type_2_tag | ) |

Function for clearing the type_2_tag_t structure.

Parameters

  [in,out] | p_type_2_tag | Pointer to the structure that should be cleared.

ret_code_t type_2_tag_parse | ( | type_2_tag_t * | p_type_2_tag,
|  | uint8_t * | p_raw_data
| ) |  |

Function for parsing raw data read from a Type 2 Tag.

This function parses the header and the following TLV blocks of a Type 2 Tag. The data is read from a buffer and stored in a type_2_tag_t structure.

Parameters

  [out] | p_type_2_tag | Pointer to the structure that will be filled with parsed data.
  [in] | p_raw_data | Pointer to the buffer with raw data from the tag (should point at the first byte of the first block of the tag).

Return values

  NRF_SUCCESS | If the data was parsed successfully.
  NRF_ERROR_NO_MEM | If there is not enough memory to store all of the TLV blocks.
  Other | If an error occurred during the parsing operation.

void type_2_tag_printout | ( | type_2_tag_t * | p_type_2_tag | ) |

Function for printing parsed contents of the Type 2 Tag.

Parameters

  [in] | p_type_2_tag | Pointer to the structure that should be printed.